﻿using System;
using System.Collections.Generic;
using Navigation_Pages_MVVM.Model;

namespace Navigation_Pages_MVVM.Singletons
{
    public sealed class DataStore
    {
        private static readonly DataStore instance = new DataStore();

        private DataStore() { }

        public static Dictionary<String, String> Information
        {
            get
            {
                if (_Information == null)
                    _Information = new Dictionary<string, string>();
                return _Information;
            }
            set { _Information = value; }
        } static Dictionary<String, String> _Information;

        public static String ExeDir { get; set; }

        public static String ExeFile { get; set; }
        
        public static String ExePath { get; set; }
    }
}
