﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Navigation_Pages_MVVM.ViewModel;

namespace Navigation_Pages_MVVM.View
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void NavigationFrame_Navigated(object sender, NavigationEventArgs e)
        {
            FrameworkElement element = NavigationFrame.NavigationService.Content as FrameworkElement;
            if (element != null)
            {
                NavButtons.DataContext = element.DataContext;
                return;
            }            
        }
    }
}
