﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Navigation_Pages_MVVM.Model;
using Navigation_Pages_MVVM.Singletons;

namespace Navigation_Pages_MVVM.ViewModel
{
    class ArgumentsPageViewModel : PageViewModelBase
    {
        public ArgumentsPageViewModel()
        {
            Heading = "Usage";
            ButtonContinue.Text = "Exit";
            ButtonPrevious.IsEnabled = false;
            ButtonPrevious.IsVisible = false;
        }

        public String Usage { get { return Arguments.Usage; } }

        public String ArgumentListHeading { get { return "Valid Arguments"; } }

        public ArgumentList ArgumentList { get { return Arguments.ValidArguments; } }

        public String ExamplesHeading { get { return "Examples"; } }

        public List<ArgumentExample> Examples { get { return Arguments.Examples; } }

        public override void ButtonContinueClick()
        {
            App.Current.Shutdown();
        }

        public override bool IsValid()
        {
            return true;
        }
    }
}
