﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Navigation_Pages_MVVM.Singletons;

namespace Navigation_Pages_MVVM.ViewModel
{
    class Page3ViewModel : PageViewModelBase
    {
        public Page3ViewModel()
        {
            Heading = "Page 3";
            ButtonContinue.Text = "Exit";
        }

        public String SilentCommandLine
        {
            get
            {
                string FirstName = string.Empty;
                DataStore.Information.TryGetValue("FirstName", out FirstName);

                string LastName = string.Empty;
                DataStore.Information.TryGetValue("LastName", out LastName);

                string Mouth = string.Empty;
                DataStore.Information.TryGetValue("Mouth", out Mouth);

                return String.Format("{0} FirstName={1} LastName={2} Mouth={3}", DataStore.ExeFile, FirstName, LastName, Mouth);
            }
        }

        public override void ButtonContinueClick()
        {
            App.Current.Shutdown();
        }

        public override bool IsValid()
        {
            return true;
        }
    }
}
